This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1288419 - overcloud image contains erroneous rpcbind systemd setup for nfs
overcloud image contains erroneous rpcbind systemd setup for nfs
Status: CLOSED NEXTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
All Linux
high Severity high
: async
: 7.0 (Kilo)
Assigned To: Mike Burns
yeylon@redhat.com
: ZStream
Depends On:
Blocks: 1290377
  Show dependency treegraph
 
Reported: 2015-12-04 02:32 EST by Martin Tessun
Modified: 2016-04-26 14:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 16:48:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1397363 None None None Never

  None (edit)
Description Martin Tessun 2015-12-04 02:32:04 EST
Description of problem:
I have deployed the Overcloud and use NFS for Cinder and Glance.
I found a problem with the NFS mount from the Controller and Compute Nodes.
The 1st NFS mount takes about 1 minute, which is very long and often the start of the Pacemaker FS resource for Glance failed. A subsequent mount will takes less than a second.

Version-Release number of selected component (if applicable):
OSP-d: 7.10
OSP: 7.0.2

How reproducible:
always

Steps to Reproduce:
1. Restart a Compute Node
2. Try to do the NFS mount manually:

     [root@compute ~]# mount -t nfs nfs-server:/mountpoint /mnt

4. After approx 1 minute the mount command completes successfully
5. The same mount command on the same server, without rebooting the server, will takes less than a second.


Actual results:
1st mount takes ~1min, subsequent mounts <1sec

Expected results:
All mounts, even the first one should be completed in <1sec


Additional info:
See RHEL 7 errata: https://rhn.redhat.com/errata/RHBA-2015-2205.html
and KBase: https://access.redhat.com/solutions/1397363

which describe the problem and also the solution.
The delay also prevents the node from starting up correctly.

Please include this fix in the overcloud image as well.
Comment 1 Mike Burns 2015-12-15 16:48:31 EST
The referenced bug/solution is shipped as part of RHEL 7.2.  The next update of RHEL-OSP will include RHEL 7.2 so this will be fixed then.

Note You need to log in before you can comment on or make changes to this bug.